Emacs-27.1

Introduction à Emacs

Le paquet Emacs contient un éditeur extensible, personnalisable et dont l'affichage assure une auto-documentation.

Ce paquet est connu pour se construire correctement sur une plateforme LFS-9.1.

Informations sur le paquet

Dépendances de Emacs

Recommandées

Facultatives

Système X Window, alsa-lib-1.2.3.2, dbus-1.12.20, GConf-3.2.6, gobject-introspection-1.64.1, gsettings-desktop-schemas-3.36.1, GPM-1.20.7, GTK+-2.24.32 ou GTK+-3.24.22, ImageMagick-6.9.10-93 libraries (voir les explications des commandes), libjpeg-turbo-2.0.5, libpng-1.6.37, librsvg-2.48.8, libxml2-2.9.10, MIT Kerberos V5-1.18.2, Valgrind-3.16.1, intlfonts, libungif, libotf et m17n-lib - pour afficher correctement les scripts complexes comme Indic et Khmer, et aussi pour les scripts qui demande un support d'affichage arabe (Arabe et Farsi) et libXaw3d

Notes utilisateur : http://wiki.linuxfromscratch.org/blfs/wiki/emacs

Installation de Emacs

Installez Emacs en lançant les commandes suivantes :

./configure --prefix=/usr --localstatedir=/var &&
make

Ce paquet n'a pas de suite de tests. Si make réussi, vous pouvez tester le résultat en lançant src/emacs -Q, qui est le programme qui sera installé, avec ses fichiers auxiliaires. Cela doit démarrer et afficher l'écran d’accueil de l'application.

Maintenant, en tant qu'utilisateur root :

make install &&
chown -v -R root:root /usr/share/emacs/27.1 &&
rm -vf /usr/lib/systemd/user/emacs.service
[Note]

Note

Ce paquet installe des fichiers d'icônes dans la hiérarchie /usr/share/icons/hicolor et vous pouvez améliorer les performances du système et l'utilisation de la mémoire en mettant à jour /usr/share/icons/hicolor/index.theme. Pour réaliser la mise à jour vous devez avoir installé GTK+-2.24.32 or GTK+-3.24.22 et taper la commande suivante en tant qu'utilisateur root :

gtk-update-icon-cache -qtf /usr/share/icons/hicolor

Explication des commandes

--localstatedir=/var : Crée des fichiers de score de jeu dans /var/games/emacs et non dans /usr/var/games/emacs.

IMAGEMAGICK_CFLAGS=-I/usr/include/ImageMagick-6 IMAGEMAGICK_LIBS="-lMagickCore-6.Q16HDRI -lMagick++-6.Q16HDRI -lMagickWand-6.Q16HDRI"  : Utilisez cela quand vous invoquez configure si vous avez installé ImageMagick-6.9.10-93 libraries et souhaitez y lier emacs (la version non-versionnée des fichiers pkgconfig est en conflit avec ImageMagick-7.0.9-23 que ce paquet ne peut pas utiliser).

--with-gif=no : Utilisez ceci si vous n'avez pas installé giflib-5.2.1 ou libungif.

--with-tiff=no : Utilisez ceci si vous n'avez pas installé LibTIFF-4.1.0.

--with-gnutls=no : Utilisez ceci si vous n'avez pas installé GnuTLS-3.6.14.

Contenu

Programmes installés: ctags, ebrowse, emacs (lien symbolique), emacs-27.1, emacsclient, etags et grep-changelog
Bibliothèques installées: Aucune
Répertoires installés: /usr/libexec/emacs, /usr/share/emacs et /var/games/emacs

Descriptions courtes

ctags

crée des fichiers de base de données de tagfiles à références croisées pour du code source.

ebrowse

permet de naviguer dans des hiérarchies de classe C++ depuis l'intérieur d'emacs.

emacs

est un éditeur.

emacsclient

attache une session emacs à une session emacsserver déjà en cours d'exécution.

etags

est un autre programme pour générer des tagfiles de références croisées de code source.

grep-changelog

écrit des entrées dans des historiques des changements en fonction de divers critères.

Last updated on 2020-08-12 15:18:10 +0000